<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.3/font/bootstrap-icons.min.css">
</head>
<body class="d-flex">
<div class="dropdown">
    <button class="btn btn-secondary dropdown-toggle" type="button" data-bs-toggle="dropdown" aria-expanded="false">
        Dropdown button
    </button>
    <ul class="dropdown-menu">
        <li><a class="dropdown-item" href="#">Action</a></li>
        <li><a class="dropdown-item" href="#">Another action</a></li>
        <li><a class="dropdown-item" href="#">Something else here</a></li>
    </ul>
</div>

<div class="dropdown">
    <button class="btn btn-secondary dropdown-toggle" type="button" data-bs-toggle="dropdown" aria-expanded="false">
        Dropdown button
    </button>
    <ul class="dropdown-menu">
        <li>
            <a class="dropdown-item" href="#">
                <i class="bi bi-sign-railroad"></i>
                Action 1
            </a>
        </li>
        <li><a class="dropdown-item" href="#">Another action 1 </a></li>
        <li><a class="dropdown-item" href="#">Something else here 1</a></li>
    </ul>
</div>
<script>
    const dropdownMenus = Array.from(document.querySelectorAll('.dropdown-menu'))

    Array.from(document.querySelectorAll('.dropdown')).forEach(dropdownElement => {
        const toggle = dropdownElement.querySelector('.dropdown-toggle')
        const menu = dropdownElement.querySelector('.dropdown-menu')

        toggle.addEventListener('click', () => {
            dropdownMenus
                .filter(m => m !== menu)
                .forEach(menu => menu.classList.remove('show'))
            menu.classList.toggle('show')
        })

        dropdownElement.addEventListener('click', e => {
            e.stopPropagation()
        })
    })

    document.addEventListener('click', e => {
        dropdownMenus.forEach(menu => menu.classList.remove('show'))
    })

    Array.from(document.querySelectorAll('li')).forEach(listItem => {
        listItem.addEventListener('click', e => {
            console.log(e, e.target, e.currentTarget, e.currentTarget === listItem)
        })
    })
</script>
</body>
</html>